### Method

# Gtk ConstraintGuideset_name

#### Declaration [src]

    void
    gtk_constraint_guide_set_name (
      GtkConstraintGuide* guide,
      const char* name
    )

#### Description [src]

Sets a name for the given `GtkConstraintGuide`.

The name is useful for debugging purposes.

Sets property | `Gtk.ConstraintGuide:name`

#### Parameters

`name`

  Type: `const char*`

  A name for the `guide`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.